Subject: bug#43943: >=27.1; segfault with package-list-packages and others

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Mon, 12 Oct 2020 20:48:16 +0200

Dr. Arne Babenhauserheide <[email-masked]> writes:

> Dr. Arne Babenhauserheide <[email-masked]> writes:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>>> From: "Dr. Arne Babenhauserheide" <[email-masked]>
>>>> Cc: [email-masked]
>>>> Date: Mon, 12 Oct 2020 18:32:11 +0200
>>>> 
>>>> > My guess is that it was the fontconfig cache.
>>>> 
>>>> Can something be done to prevent a segfault in this case?
>>
>>> Another important detail is the font that was being opened at the
>>> point of the crash.
>>
>> Since I don.t have so many fonts in Emacs, that might be a way forward. I use
>> unicode symbols in my agenda, and two of the sybols are not actually
>> supported in the font I currently use:
>> #+SEQ_TODO: b / .?. X | : . . .
>> #+SEQ_TODO: m | . L
>
> This failed in sending &

This failed again, since it did not preserve the encoding.

#+SEQ_TODO: ❢ ☯ ʘ‿ʘ X | ☺ ✔ ⌚ ✘
#+SEQ_TODO: 🕭 | 𝄇 👌

-- 
Unpolitisch sein
heißt politisch sein
ohne es zu merken